@charset "utf-8";

/* ----------------------------------------------------------
commonHeader
---------------------------------------------------------- */

.commonHeader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 72px;
    background-color: #fff;
    z-index: 100;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1), 0 1px 3px rgba(0, 0, 0, 0.1);
}

.commonHeader__inner {
    height: 100%;
    margin: 0 auto;
    padding: 0 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.commonHeader__logo img {
    width: 120px;
    height: auto;
}

.commonHeader__nav ul {
    display: flex;
    align-items: center;
    gap: 16px;
    height: 100%;
}

.commonHeader__nav ul li a {
    font-size: 1.6rem;
    font-weight: 500;
    transition: all 0.3s;
}

.commonHeader__nav ul li:not(.commonHeader__btn) a:hover {
    color: #0097ac;
}

.commonHeader__nav ul li.commonHeader__btn a {
    padding: 10px 15px;
    border-radius: 6px;
    border: 1px solid #018D93;
    display: inline-block;
}

.commonHeader__nav ul li.commonHeader__btn a:hover {
    transform: scale(1.1);
}

.commonHeader__nav ul li.commonHeader__btn.commonHeader__btn__blue a {
    color: #fff;
    background-color: #00A7AF;
}

.commonHeader__nav ul li.commonHeader__btn.commonHeader__btn__blue a:hover {
    background-color: #018D93;
}

.commonHeader__nav ul li.commonHeader__btn.commonHeader__btn__white a {
    color: #00A7AF;
    background-color: #fff;
}

.commonHeader__btn__pc {
    display: block;
}

.commonHeader__btn__sp {
    display: none;
}

.commonHeader .menuTrigger {
    display: none;
    position: relative;
    cursor: pointer;
    justify-content: center;
    align-items: center;
    z-index: 101;
    transition: all 0.2s ease;
}

.commonHeader .menuTrigger div {
    position: relative;
    width: 18px;
    height: 14px;
    background: none;
    border: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.commonHeader .menuTrigger div span {
    display: inline-block;
    position: absolute;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #333333;
    border-radius: 10px;
    transition: all 0.4s;
    box-sizing: border-box;
    border-radius: 2px;
}

.commonHeader .menuTrigger div span:nth-of-type(1) {
    top: 0;
}

.commonHeader .menuTrigger div span:nth-of-type(2) {
    top: 6px;
}

.commonHeader .menuTrigger div span:nth-of-type(3) {
    bottom: 0;
}

.commonHeader .menuTrigger div.active span:nth-of-type(1) {
    transform: translateY(7px) translateX(0) rotate(-45deg);
    width: 18px;
    height: 2px;
}

.commonHeader .menuTrigger div.active span:nth-of-type(2) {
    opacity: 0;
}

.commonHeader .menuTrigger div.active span:nth-of-type(3) {
    transform: translateY(-5px) translateX(0) rotate(45deg);
    width: 18px;
    height: 2px;
}

/* ----------------------------------------------------------
commonFooter
---------------------------------------------------------- */


.commonFooter {
    padding: 24px 0;
    background-color: #fff;
}

.commonFooter__layout {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 1120px;
    padding: 24px 0;
    margin: 0 auto;
}

.commonFooter__logo img {
    width: 255px;
    height: auto;
}

.commonFooter__nav__layout {
    display: flex;
    align-items: flex-end;
    justify-content: flex-start;
    flex-wrap: wrap;
}

.commonFooter__nav__layout .commonFooter__nav:last-of-type {
    margin-left: 64px;
}

.commonFooter__nav__layout .commonFooter__nav li {
    margin-bottom: 10px;
}

.commonFooter__nav__layout .commonFooter__nav li img {
    margin-left: 10px;
}

.commonFooter__isms {
    text-align: center;
    margin: 0 auto 24px;
}

.commonFooter__isms img {
    width: 310px;
}

.commonFooter__copy {
    font-size: 1.4rem;
    font-weight: 400;
    text-align: center;
    letter-spacing: 0.04em;
}


@media screen and (max-width: 1380px) {

    /* ----------------------------------------------------------
commonHeader
---------------------------------------------------------- */

    .commonHeader__inner {
        padding: 0 2.5vw;
    }

    .commonHeader__nav {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        background: #fff;
        z-index: 100;
        padding-top: 70px;
    }

    .commonHeader__nav ul {
        flex-wrap: wrap;
        justify-content: center;
        align-content: flex-start;
        gap: 0;
    }

    .commonHeader__nav ul li {
        width: 100%;
        padding: 10px 24px;
        border-top: 1px solid #D0D7DE;
        position: relative;
    }

    .commonHeader__nav ul li:nth-of-type(4) {
        border-bottom: 1px solid #D0D7DE;
    }

    .commonHeader__nav ul li:before {
        content: '';
        display: inline-block;
        width: 6px;
        height: 10px;
        background-image: url(../img/top/chevron.webp);
        background-size: contain;
        vertical-align: middle;
        position: absolute;
        right: 24px;
        top: 15px;
    }

    .commonHeader__nav ul li.commonHeader__btn:before {
        display: none;
    }

    .commonHeader__nav ul li a {
        font-size: 18px;
        display: block;
    }

    .commonHeader__nav ul li.commonHeader__btn {
        text-align: center;
        width: auto;
    }

    .commonHeader__nav ul li.commonHeader__btn {
        padding: 32px 0 0;
        border-top: none;
    }

    .commonHeader__nav ul li.commonHeader__btn a {
        width: 300px;
        display: inline-block;
    }

    .commonHeader__nav ul li.commonHeader__btn.commonHeader__btn__white {
        margin-left: 24px;
    }

    .commonHeader__nav ul li.commonHeader__btn.commonHeader__btn__white a {
        color: #0969DA;
        border: 1px solid #0969DA;
    }

    .commonHeader__nav ul li.commonHeader__login__btn {
        border-top: none;
        display: flex;
        justify-content: center;
        padding: 24px;
    }

    .commonHeader__nav ul li.commonHeader__login__btn a:after {
        content: '';
        display: inline-block;
        width: 12px;
        height: 12px;
        background-image: url(../img/top/link02.webp);
        background-size: contain;
        position: absolute;
        top: 4px;
        right: -17px
    }

    .commonHeader__nav ul li.commonHeader__login__btn a {
        font-weight: 400;
        color: #0969DA;
        text-decoration: underline;
        position: relative;
    }

    .commonHeader__nav ul li.commonHeader__login__btn:before {
        display: none;
    }

    .commonHeader__btn__pc {
        display: none;
    }

    .commonHeader__btn__sp {
        display: block;
    }

    .commonHeader .menuTrigger {
        display: flex;
    }

    /* ----------------------------------------------------------
commonFooter
---------------------------------------------------------- */

    .commonFooter__layout {
        width: 95%;
    }

    .commonFooter__logo img {
        width: 142px;
        height: auto;
    }

}


@media screen and (max-width: 768px) {

    /* ----------------------------------------------------------
commonHeader
---------------------------------------------------------- */

    .commonHeader__nav ul li a {
        font-size: 1.4rem;
    }

    .commonHeader__nav ul li.commonHeader__btn a {
        width: 160px;
    }

    /* ----------------------------------------------------------
commonFooter
---------------------------------------------------------- */

    .commonFooter__layout {
        display: block;
        padding: 0 20px;
    }

    .commonFooter__nav__layout {
        justify-content: center;
        margin-top: 24px;
        padding: 24px 0;
    }
}